<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('label.instructions.vargroup.variablegrouplist.choose')}">
				<p:dataTable id="datamodel" value="#{vargroupModel.dataModel}" var="l">
					<p:column headerText="#{facesContext.translate('label.vargroup.variablegroup.name')}" filterable="true" filterMatchMode="contains" filterBy="#{l.name}" sortBy="#{l.name}" sortable="true" 
					        styleClass="column-name">
						<h:outputText value="#{l.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.vargroup.variablegroup.description')}" filterable="true" filterMatchMode="contains" filterBy="#{l.description}" sortBy="#{l.description}"
						sortable="true" styleClass="column-description">
						<h:outputText value="#{l.description}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.vargroup.variablegroup.elements')}" filterable="true" filterMatchMode="contains" filterBy="#{l.elements}" sortBy="#{l.elements}"
						 styleClass="column-integer-10k" sortable="true" style="text-align: center">
						<h:outputText value="#{l.elements}" styleClass="squarebadge" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}" styleClass="column-four-buttons">
						<ship:buttongroup>
							<p:commandButton id="btn_show" action="#{vargroupController.toShow(l)}" value="" title="#{facesContext.translate('button.show')}" icon="fa fa-info-circle" ajax="false" immediate="true"
								rendered="#{l.acl.read}" styleClass="iconbutton" />
							<p:commandButton id="btn_edit" action="#{vargroupController.toEdit(l)}" value="" title="#{facesContext.translate('button.edit')}" icon="fa fa-pencil" ajax="false" immediate="true"
								rendered="#{l.acl.write}" styleClass="iconbutton" />
							<p:commandButton id="btn_user" action="#{vargroupController.toUser(l)}" value="" title="#{facesContext.translate('button.user')}" icon="fa fa-group" ajax="false" immediate="true"
								rendered="#{l.acl.write}" styleClass="iconbutton" />
							<ship:removeButton id="btn_remove" action="#{vargroupController.doDeleteVariablegroup(l.variablegroupId, l.fkRight)}" value="" tooltip="#{facesContext.translate('button.delete')}"
								title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
								rendered="#{l.acl.write}">
								<h:outputText value="#{facesContext.translate('confirmation.delete', l.name)}" />
								<br />
								<h:outputText value="#{facesContext.translate('confirmation.delete.dependinglist')}" styleClass="dangerText" />
								<br />
								<ui:repeat value="#{l.dependings}" var="o">
									<h:outputText value="#{o}" styleClass="squarebadge" />
								</ui:repeat>
							</ship:removeButton>
						</ship:buttongroup>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{vargroupController.toAdd}" value="#{facesContext.translate('button.add')}" ajax="false" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Das Modul <b>Variablengruppe</b> erlaubt es, bestimmten Personen oder Nutzergruppen gezielt Zugriff auf Variablen zu gewähren. Dadurch werden einzelne Variablen aus einer Studie oder einer Sammlung von Studien entkoppelt, sodass nicht jeder Nutzer Zugriff auf alle Variablen einer Studie erhalten muss. Das Modul dient also vorrangig zur Steuerung von Rechten aller Personen, die Qualitätsberichte erstellen oder einsehen. <br />
			<br />

      Auf dieser Seite wird die Liste aller Variablengruppen angezeigt, für die ein Nutzer mindestens Leserechte hat. Für jede Variablengruppe ist die Anzahl der darin enthaltenen Variablen aufgeführt. Sofern die betreffenden Rechte zugewiesen sind, können bereits erstellte Variablengruppen bearbeitet oder gelöscht werden. Bei der Löschung können Konflikte auftreten, wenn bereits Berichte erstellt worden sind, die auf der zu ändernden Variablengruppe basieren.<br />
			<br />

      Auch das Erstellen neuer Variablengruppen ist über <i>Hinzufügen</i> möglich. Sofern der Nutzer Rechte an mehr als einer Studie hat, können Variablen studienübergreifend ausgewählt werden.
		</ui:define>
		<ui:define name="help_en">
      The module <b>variable</b> group allows acess of certain persons or user groups to specific variables. Via this module variables can be seperated from a study or a collection of studies, so that not every user gets access to all variables of a study. The module is primarily used to control the rights of all persons who create or consult quality reports. <br />
			<br />

      This page shows a list of all variable groups for which a user has at least reading rights. For each group the number of included variables is shown. If the respective rights are assigned, already existing variable groups can be edited or deleted. Deleting variable groups can cause conflicts while if there already exist reports, that base on the modified group.<br />
			<br />

      It is also possible to create new variable groups by clicking <i>add</i>. If the user has rights to more than one study, variables can be selected across studies.
    </ui:define>
	</ui:composition>
</h:body>
</html>